#include <iostream>
using namespace std;

int main() 
{
    int N, L;
    cin >> N >> L;
    int niz[N];
    for (int i=0; i<N; i++) {
      cin >> niz[i];
      if (L>=niz[i]){
        cout << i+1 << endl;
        break;
      }
      
      else if (i+1==N) {
        cout << -1 << endl;
      }
    }
    
}